[PATCH util/modular] release.sh: check that umask will create archives with correct modes
Matthieu Herrb
matthieu at herrb.eu
Tue Aug 25 16:02:41 UTC 2020
Signed-off-by: Matthieu Herrb <matthieu at herrb.eu>
---
release.sh | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git release.sh release.sh
index 86d0d49..665c103 100755
--- release.sh
+++ release.sh
@@ -944,6 +944,14 @@ do
shift
done
+umask=$(umask)
+if [ "${umask}" != "022" -o "${umask}" != "0022" ]; then
+ echo ""
+ echo "Error: umask is not 022"
+ echo ""
+ exit 1
+fi
+
# If no modules specified (blank cmd line) display help
check_modules_specification
--
2.17.1
More information about the xorg-devel
mailing list